Subject: Re: linux-next: manual merge of the block tree with the rdma tree

From: Jason Gunthorpe <[email-masked]>
Date: Tue, 2 Jun 2020 20:32:01 -0300

On Wed, Jun 03, 2020 at 01:40:51AM +0300, Max Gurtovoy wrote:
> 
> On 6/3/2020 12:37 AM, Jens Axboe wrote:
> > On 6/2/20 1:09 PM, Jason Gunthorpe wrote:
> > > On Tue, Jun 02, 2020 at 01:02:55PM -0600, Jens Axboe wrote:
> > > > On 6/2/20 1:01 PM, Jason Gunthorpe wrote:
> > > > > On Tue, Jun 02, 2020 at 11:37:26AM +0300, Max Gurtovoy wrote:
> > > > > > On 6/2/2020 5:56 AM, Stephen Rothwell wrote:
> > > > > > > Hi all,
> > > > > > Hi,
> > > > > > 
> > > > > > This looks good to me.
> > > > > > 
> > > > > > Can you share a pointer to the tree so we'll test it in our labs ?
> > > > > > 
> > > > > > need to re-test:
> > > > > > 
> > > > > > 1. srq per core
> > > > > > 
> > > > > > 2. srq per core + T10-PI
> > > > > > 
> > > > > > And both will run with shared CQ.
> > > > > Max, this is too much conflict to send to Linus between your own
> > > > > patches. I am going to drop the nvme part of this from RDMA.
> > > > > 
> > > > > Normally I don't like applying partial series, but due to this tree
> > > > > split, you can send the rebased nvme part through the nvme/block tree
> > > > > at rc1 in two weeks..
> 
> Yes, I'll send it in 2 weeks.
> 
> Actually I hoped the iSER patches for CQ pool will be sent in this series
> but eventually they were not.
> 
> This way we could have taken only the iser part and the new API.
> 
> I saw the pulled version too late since I wasn't CCed to it and it was
> already merged before I had a chance to warn you about possible conflict.
> 
> I think in general we should try to add new RDMA APIs first with iSER/SRP
> and avoid conflicting trees.

If you are careful we can construct a shared branch and if Jens/etc is
willing he can pull the RDMA base code after RDMA merges the branch
and then apply the nvme parts. This is how things work with netdev

It is tricky and you have to plan for it during your submission step,
but we should be able to manage in most cases if this comes up more
often.

Jason